#include <bits/stdc++.h>

using namespace std;

bool sortir(pair<int, int> a, pair<int, int> b) {
	return a.second<b.second;
}

int main() {

	int n, k, x; cin >> n >> k >> x;
	vector<pair<int, int> > niz;

	for (int i = 0; i<n; i++) {
		int a; cin >> a;
		niz.push_back(make_pair(a, i));
	}
	
	for (int l = 0; l<n-k+1; l++) {
		int d = l+k-1;
		int g = 0;
		pair<int, int> minusaurapr[k];
		pair<int, int> minusaura[x-1];
		for (int i = l; i<=d; i++) {
			minusaurapr[i-l]=niz[i];
		}
		sort(minusaurapr, minusaurapr+k);
		g = 0;
		for (int i = 0; i<x-1; i++) {
			minusaura[i]=minusaurapr[i]; 
		}
		sort(minusaura, minusaura+x-1, sortir);
		
		g = 0;
		int c[k];
		for (int i = 0; i<k; i++) c[i] = 1;
		for (int brojac = 0, i = d-1; brojac<x, i>=l; i--) {
			if(niz[i] == minusaura[g]) {
				brojac++; g++;
				for (int j = i-l+1; j<k; j++) c[j]++;
			}
		}
		int aura = 0;
		for (int i = 0; i<k; i++) {
			
			aura+=niz[i+l].first*c[i];
		}
		cout << aura << ' ';
	}	

return 0;
}